<%@ taglib prefix="sdk" uri="http://agillic.com/jsp/sdk/1.0" %>
<%@ taglib prefix="inp" uri="http://agillic.com/jsp/sdkinput/1.0" %>

<sdk:render>
    <inp:form next="receipt" method="post">
        <!-- Just a few basic fields to gather. Completely standard -->
        <label>Email</label>
        <inp:text clmAttribute="EMAIL" class="required email unique textinput" transformer="trim,lower"/>

        <label>Firstname</label>
        <inp:text clmAttribute="FIRSTNAME" class="textinput"/>

        <label>Surname</label>
        <inp:text clmAttribute="LASTNAME" class="textinput"/>


        <!--
        So now we're going to build our selection of multiple colors
        You'll notice that I'm simply using standard html tags - using the Agillic tags will not really help us here
        -->
        <div>
            <input type="checkbox" name="color" value="red">Red
        </div>
        <div>
            <input type="checkbox" name="color" value="blue">Blue
        </div>
        <div>
            <input type="checkbox" name="color" value="green">Green
        </div>
        <div>
            <input type="checkbox" name="color" value="yellow">Yellow
        </div>
        <div>
            <input type="checkbox" name="color" value="orange">Orange
        </div>

        <input type="submit" value="Signup">
    </inp:form>
</sdk:render>